package ru.myitschool.work.domain.room

import ru.myitschool.work.data.repo.AuthRepository

class GetRoleUseCase(
    private val repository: AuthRepository
) {
    suspend operator fun invoke(): String? {
        return repository.getRole()
    }
}